Announcement Announcement Module
Collapse
No announcement yet.
Support for Portlet 1.0 in Spring 3 Page Title Module
Move Remove Collapse
X
Conversation Detail Module
Collapse
  • Filter
  • Time
  • Show
Clear All
new posts

  • Support for Portlet 1.0 in Spring 3

    I am upgrading a portlet application from Spring 2.0 to Spring 3.0. As a part of our application, we have a couple of classes that implement the portlet HandlerAdapter interface. As of Spring 3, this interface now contains the handleEvent and handleResource methods, which refer to classes only in the Portlet 2.0 API. This forces me to compile my custom HandlerAdapter implementations with the Portlet 2.0 API on the classpath. This then prohibits me from running these classes in a Portlet 1.0 web environment.

    Was this the intention of the Spring developers? Or is there some alternative approach to providing the same functionality in Spring 3.0 that wouldn't require me to refer to the Portlet 2.0 classes in my code.

    Thanks, Steve
Working...
X